<!-- 
*************************************************
TransactionDetails.cfm

This page takes necessary parameter from GetTransactionDetails.cfm page 
and passing the parameters to doHttppost function which takes request value
as Struct Object it will call cfhttp tag to perform TransactionDetails.This 
page will show the response value coming from the Server. If 
any error occurs, the page will redirect to APIError.cfm to 
show exact error details

*************************************************
-->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<head>
<title>PayPal SDK - Transaction details</title>
<link href="sdk.css" rel="stylesheet" type="text/css" />
</head>
<body>

	<cfset StructClear(Session)>
	<CFOBJECT COMPONENT="CallerService" name="caller">
	<!--
		Passing necessary parameter to CFHTTP tag to perform Transactiondetails
	-->
	<CFSET transactionID = "">	
	<CFIF StructKeyExists(Form, "transactionID")>

		<CFSET transactionID = #Form.transactionID#>
	</CFIF>
	<CFIF StructKeyExists(URL, "transactionID")>

		<CFSET transactionID = #URL.transactionID#>
	</CFIF>

<CFSET requestData = StructNew()>
<CFSET requestData.METHOD = "GetTransactionDetails">
<CFSET requestData.TRANSACTIONID = "#transactionID#">
<CFSET requestData.USER = "#APIUserName#">
<CFSET requestData.PWD = "#APIPassword#">
<CFSET requestData.SIGNATURE = "#APISignature#">
<CFSET requestData.VERSION = "#version#">
<CFTRY>	

<!--- 
	Calling doHttppost for API call 
--->
	<cfinvoke component="CallerService" method="doHttppost" returnvariable="response">

		<cfinvokeargument name="requestData" value=#requestData#>
		<cfinvokeargument name="serverURL" value=#serverURL#>
		<cfinvokeargument name="proxyName" value=#proxyName#>
		<cfinvokeargument name="proxyPort" value=#proxyPort#>
		<cfinvokeargument name="useProxy" value=#useProxy#>

	</cfinvoke>
<center>
  <!--
	getNVPResponse method returns nvp response string as CF struct object 
	-->
<cfset responseStruct = caller.getNVPResponse(#URLDecode(response)#)>
<cfset Session.resStruct = #responseStruct#>
<cfif not StructKeyExists(responseStruct, "PARENTTRANSACTIONID")>
	<cfset responseStruct.PARENTTRANSACTIONID = "">
</cfif>
 <cfif responseStruct.Ack is "Success">
   <center>
    <table class="api">
        <tr>
            <td colspan="2" class="header">
                Transaction Details
            </td>
        </tr>
        <tr>
            <td class="field">
                Payer:
            </td>
            <td><CFOUTPUT>#responseStruct.RECEIVEREMAIL#</CFOUTPUT></td>
        </tr>
        <tr>
            <td class="field">
                Payer ID:
            </td>
            <td><CFOUTPUT>#responseStruct.PAYERID#</CFOUTPUT></td>
        </tr>
        <tr>
            <td class="field">
                First Name:
            </td>
            <td><CFOUTPUT>#responseStruct.FIRSTNAME#</CFOUTPUT></td>
        </tr>
        <tr>
            <td class="field">
                Last Name:
            </td>
            <td><CFOUTPUT>#responseStruct.LASTNAME#</CFOUTPUT></td>
        </tr>
        <tr>
            <td class="field">
                Transaction ID:
            </td>
            <td><CFOUTPUT>#responseStruct.TRANSACTIONID#</CFOUTPUT></td>
        </tr>
        <tr>
            <td class="field">
                Parent Transaction ID (if any):
            </td>
            <td><CFOUTPUT>#responseStruct.PARENTTRANSACTIONID#</CFOUTPUT></td> 
	 </tr>
        <tr>
            <td class="field">
                Gross Amount:
            </td>
            <td><CFOUTPUT>#responseStruct.AMT#</CFOUTPUT></td>
        </tr>
        <tr>
            <td class="field">
                Payment Status:
            </td>
            <td><CFOUTPUT>#responseStruct.PAYERSTATUS#</CFOUTPUT></td>
        </tr>
	<tr align="center">
            <td colspan="2" >
	    <table align="center">
		<tr>
		<td>
                <a id="DoVoidLink" href="DoVoid.cfm?authorizationID=<CFOUTPUT>#responseStruct.TRANSACTIONID#</CFOUTPUT>">Void</a> 
		<a id="DoCaptureLink" href="DoCapture.cfm?authorizationID=<CFOUTPUT>#responseStruct.TRANSACTIONID#</CFOUTPUT>&currency=<CFOUTPUT>#responseStruct.CURRENCYCODE#</CFOUTPUT>&amount=<CFOUTPUT>#responseStruct.AMT#</CFOUTPUT>">
                Capture</a> 
		<a id="RefundTransactionLink" href="RefundTransaction.cfm?transactionID=<CFOUTPUT>#responseStruct.TRANSACTIONID#</CFOUTPUT>&currency=<CFOUTPUT>#responseStruct.CURRENCYCODE#</CFOUTPUT>&amount=<CFOUTPUT>#responseStruct.AMT#</CFOUTPUT>">
                Refund</a> 
		<a href="javascript:history.back()">Back</a>
		</td>
		</tr>
		</table>
            </td>
        </tr>

</table>
</center>
</cfif>
<cfif responseStruct.Ack is "Failure">
    <CFLOCATION URL="APIError.cfm?error=fromServer">
</cfif>
<CFCATCH>
	<cfset responseStruct = StructNew() >
	<cfset responseStruct.errorType =  "#cfcatch.type#">
	<cfset responseStruct.errorMessage =  "#cfcatch.message#">
	<cfset Session.resStruct = "#responseStruct#">
	<CFLOCATION URL="APIError.cfm?error=fromClient">
</CFCATCH>
</CFTRY>
</center>
<a  id="CallsLink" class="home"  href="index.html"><font color=blue><B>Home<B><font></a>
</body>
</html>