<!--- 
UPSRateMonger 5.01.  Original ColdFusion code Copyright 2000-2004, MSB Designs, Inc.
Use and distribute freely.  No warranties express or implied. 
--->

<!--- 
Initialize the variables. 
--->
<cfparam name="caller.UPS_Name" default="None.  Error." TYPE="string">
<cfparam name="caller.UPS_Error" default="OK" TYPE="string">
<cfparam name="caller.UPS_Charge" default="0" TYPE="string">
<cfparam name="caller.UPS_Success" default="NO" TYPE="string">
<!--- 
If multiple zone files are being used, the following CFIF will 
format the attribute to match the table name, or default to the single-zonefile 
method used in earlier tag installations 
--->
<cfparam name="attributes.CanadaZone" default="UPS_CanadaZones" TYPE="string">
<cfif CompareNoCase(attributes.CanadaZone,"ups_canadazones")>
	<cfset variables.ZoneFile="cz_" & attributes.CanadaZone>
<cfelse>
	<cfset variables.ZoneFile="UPS_CanadaZones">
</cfif>
<cfquery 
	datasource="#attributes.ZoneDSN#" 
	name="ZoneGrab" 
	maxrows="1" 
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT 
		#variables.ZoneFile#.RangeStart,
		#variables.ZoneFile#.Zone
	FROM #variables.ZoneFile#
	WHERE 
		#variables.ZoneFile#.RangeStart <= 
		<cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#attributes.Zip3#">
	AND 
		#variables.ZoneFile#.RangeStop >= 
		<cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#attributes.Zip3#">
	ORDER BY 
		#variables.ZoneFile#.RangeStart DESC
</cfquery>
<!---
If the ZoneGrab query returns 0 records a postal code entry error is assumed.
--->
<cfif not Compare(ZoneGrab.RecordCount,0)>
	<cfset caller.UPS_Error="We couldn't find the postal code you entered. You may have mistyped the code. Please try again.">
	<cfset caller.UPS_Success="NO">
</cfif>
<!--- 
Since Canada Standard doesn't have a Letter rate (weight=0), turn 
anything with a zero weight to 1 lb 
--->
<cfif not Compare(attributes.ShipWeight,0)><cfset attributes.ShipWeight=1></cfif>
<cfset caller.UPS_name="Canada Standard">
<!--- 
UPS_Name will be used on our result form.  
now we get the specific weight/rate record 
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1" 
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_canstd.Weight,
		ups_canstd.Zone51,
		ups_canstd.Zone52,
		ups_canstd.Zone53,
		ups_canstd.Zone54,
		ups_canstd.Zone55,
		ups_canstd.Zone56
	FROM ups_canstd
	WHERE 
		ups_canstd.Weight <= 
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
		ups_canstd.Weight DESC
</cfquery>
<!--- 
Now we pull the specific rate from the service database.  There are four ''gaps'' 
in the ranges found in the Canada zone db (a possible permutation that is not listed 
in the UPS table), and Case 0 handles those. 
--->
<cfswitch expression="#ZoneGrab.Zone#">
	<cfcase value="51"><cfset caller.UPS_Charge=RateGrab.Zone51></cfcase>
	<cfcase value="52"><cfset caller.UPS_Charge=RateGrab.Zone52></cfcase>
	<cfcase value="53"><cfset caller.UPS_Charge=RateGrab.Zone53></cfcase>
	<cfcase value="54"><cfset caller.UPS_Charge=RateGrab.Zone54></cfcase>
	<cfcase value="55"><cfset caller.UPS_Charge=RateGrab.Zone55></cfcase>
	<cfcase value="56"><cfset caller.UPS_Charge=RateGrab.Zone56></cfcase>
	<cfcase value="0">
		<cfset caller.UPS_Error="That service is unavailable in the postal code listed. You may have mistyped the code. Please try again">
	</cfcase>
</cfswitch>
<cfif CompareNoCase(caller.UPS_Error,"OK")>
	<cfset caller.UPS_name="NONE. Error">
	<cfset caller.UPS_Success="NO">
</cfif>

