<!--- 
Grab the appropriate weight record
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1"
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_ww_xpd.Weight,
		ups_ww_xpd.Zone71,
		ups_ww_xpd.Zone72,
		ups_ww_xpd.Zone74,
		ups_ww_xpd.Zone601,
		ups_ww_xpd.Zone602,
		ups_ww_xpd.Zone603,
		ups_ww_xpd.Zone604,
		ups_ww_xpd.Zone605,
		ups_ww_xpd.Zone606,
		ups_ww_xpd.Zone607,
		ups_ww_xpd.Zone608,
		ups_ww_xpd.Zone609,
		ups_ww_xpd.Zone610
	FROM ups_ww_xpd
	WHERE 
		ups_ww_xpd.Weight<=
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
		ups_ww_xpd.Weight DESC
</cfquery>
<!--- 
Now that we have the weight record, apply the appropriate zone charge.  
If the zone isn't found, return an error. 
--->
<!--- 
Worldwide Expedited uses an East/West scheme instead of DADE/ALL OTHER in 
WorldWide Express.  However, the single Origin variable covers all the 
bases when combined with the CFSWITCH logic below 
--->
<cfswitch expression="#attributes.Origin#">
	<cfcase value="DADE,EAST">
		<cfswitch expression="#ZoneGrab.WWXPDEast#">
			<cfcase value="71"><cfset caller.ups_Charge=RateGrab.Zone71></cfcase>
			<cfcase value="72"><cfset caller.ups_Charge=RateGrab.Zone72></cfcase>
			<cfcase value="74"><cfset caller.ups_Charge=RateGrab.Zone74></cfcase>
			<cfcase value="601"><cfset caller.ups_Charge=RateGrab.Zone601></cfcase>
			<cfcase value="602"><cfset caller.ups_Charge=RateGrab.Zone602></cfcase>
			<cfcase value="603"><cfset caller.ups_Charge=RateGrab.Zone603></cfcase>
			<cfcase value="604"><cfset caller.ups_Charge=RateGrab.Zone604></cfcase>
			<cfcase value="605"><cfset caller.ups_Charge=RateGrab.Zone605></cfcase>
			<cfcase value="606"><cfset caller.ups_Charge=RateGrab.Zone606></cfcase>
			<cfcase value="607"><cfset caller.ups_Charge=RateGrab.Zone607></cfcase>
			<cfcase value="608"><cfset caller.ups_Charge=RateGrab.Zone608></cfcase>
			<cfcase value="609"><cfset caller.ups_Charge=RateGrab.Zone609></cfcase>
			<cfcase value="610"><cfset caller.ups_Charge=RateGrab.Zone610></cfcase>
			<cfdefaultcase>
				<cfset caller.ups_Error="That service is unavailable in the destination area (Zone record not found). Please try a different plan">
			</cfdefaultcase>
		</cfswitch>
	</cfcase>
	<cfcase value="WEST">
		<cfswitch expression="#ZoneGrab.WWXPDWest#">
			<cfcase value="71"><cfset caller.ups_Charge=RateGrab.Zone71></cfcase>
			<cfcase value="72"><cfset caller.ups_Charge=RateGrab.Zone72></cfcase>
			<cfcase value="74"><cfset caller.ups_Charge=RateGrab.Zone74></cfcase>
			<cfcase value="601"><cfset caller.ups_Charge=RateGrab.Zone601></cfcase>
			<cfcase value="602"><cfset caller.ups_Charge=RateGrab.Zone602></cfcase>
			<cfcase value="603"><cfset caller.ups_Charge=RateGrab.Zone603></cfcase>
			<cfcase value="604"><cfset caller.ups_Charge=RateGrab.Zone604></cfcase>
			<cfcase value="605"><cfset caller.ups_Charge=RateGrab.Zone605></cfcase>
			<cfcase value="606"><cfset caller.ups_Charge=RateGrab.Zone606></cfcase>
			<cfcase value="607"><cfset caller.ups_Charge=RateGrab.Zone607></cfcase>
			<cfcase value="608"><cfset caller.ups_Charge=RateGrab.Zone608></cfcase>
			<cfcase value="609"><cfset caller.ups_Charge=RateGrab.Zone609></cfcase>
			<cfcase value="610"><cfset caller.ups_Charge=RateGrab.Zone610></cfcase>
			<cfdefaultcase>
				<cfset caller.ups_Error="That service is unavailable in the destination area (Zone record not found). Please try a different plan">
			</cfdefaultcase>
		</cfswitch>
	</cfcase>
	<cfdefaultcase>
		<cfset caller.ups_Error="The Express shipping Origin Point parameter was not specified (Origin Value incorrect).  Please contact the webmaster.">
	</cfdefaultcase>
</cfswitch>

